### Function

# GimpUi prop_color_area_new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_prop_color_area_new (
      GObject* config,
      const gchar* property_name,
      gint width,
      gint height,
      GimpColorAreaType type
    )

#### Description [src]

Creates a `GimpColorArea` to set and display the value of an RGB property.

Available since: 2.4

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of RGB property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`width`

  Type: `gint`

  Width of color area.

`height`

  Type: `gint`

  Height of color area.

`type`

  Type: `GimpColorAreaType`

  How transparency is represented.

#### Return value

Type: `GtkWidget`

A new `GimpColorArea` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.